<template>
  <div class="app-loader">
    <img :src="require('../assets/logo.svg')" width="80" alt="" />
    <p v-if="label">{{ label }}</p>
  </div>
</template>

<script>
export default {
  name: "AppLoader",

  props: {
    label: {
      type: String,
    },
  },
};
</script>

<style scoped lang="scss">
.app-loader {
  display: flex;
  flex-flow: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  > p {
    color: $blue;
    margin: $base-space * 4 0 0;
    max-width: 200px;
    text-align: center;
    &:after {
      display: inline-block;
      animation: dotty steps(1, end) 1s infinite;
      content: "";
    }
  }
}
@keyframes dotty {
  0% {
    content: "";
  }
  25% {
    content: ".";
  }
  50% {
    content: "..";
  }
  75% {
    content: "...";
  }
  100% {
    content: "";
  }
}
</style>
